<?
class Amazon extends REST
{
	function __construct($key = null)
	{
		//setup our key
		if ($key !== null)
			$this->key = $key;
		else if (Config::get('amazon_aws_key'))
			$this->key = Config::get('amazon_aws_key');
		
		//call mommy.
		parent::__construct('http://webservices.amazon.com/onca/xml?Service=AWSECommerceService&AWSAccessKeyId=' . $this->key);
	}

	public function lookupAsins($search, $searchIndex = null)
	{
		//init.
		$asins = array();

		//default to Blended
		if ($searchIndex === null)
			$searchIndex = 'Blended';

		//get our xml data.
		$data = $this->request(array(
			'Operation' => 'ItemSearch',
			'Keywords' => $search,
			'SearchIndex' => $searchIndex,
			'ResponseGroup' => 'ItemIds'
		));

		//simple xml certainly doesnt describe how easy it is to use.  fuckers.
		$xml = simplexml_load_string($data);
		$list = $xml->Items;
		foreach ($list->Item AS $item)
			$asins[] = (string)$item->ASIN;

		return $asins;
	}
}
?>
