<?
/*************************************************
*
*   Geocode PHP Class - Access Yahoo API.
*   Copyright 2006 Zach Smith
*   http://hoeken.ubersonic.org
*   License: GPL
*
*************************************************/

class Geocode extends REST
{
	public function __construct($key = null, $base = null)
	{
		//heres our base.
		if ($base === null)
			$base = 'http://api.local.yahoo.com/MapsService/V1/geocode';
	
		//do we ahve a key set?
		if (Config::get('yahoo_application_id'))
			$key = Config::get('yahoo_application_id');

		//if its not null... add it in.
		if ($key !== null)
			$base .= "?appid=$key";
		
		//set up our rest action
		parent::__construct($base);
	}

	public function search($params)
	{
		//did we get an array of params?
		if (is_array($params))
		{
			$params['output'] = 'php';
			$data = $this->request($params);
		}
		//nope, try a manual lookup.
		else if (is_string($params))
			$data = $this->request(array(
				'location' => $params,
				'output' => 'php'
			));
		//its nothing... wtf.
		else
			return false;

		//get our real data
		$real = unserialize($data);
		
		//if there was an error... the unserialize will have a false value.
		if (!$real)
			return false;
		//nope, return the lat/lon!
		else
			return $this->parseData($real);
	}

	public function parseData($data)
	{
		//lat and lon are important
		$geocode['lat'] = $data['ResultSet']['Result']['Latitude'];
		$geocode['lon'] = $data['ResultSet']['Result']['Longitude'];

		//as is city/state/zip/country
		$geocode['address'] = $data['ResultSet']['Result']['Address'];
		$geocode['city'] = $data['ResultSet']['Result']['City'];
		$geocode['state'] = $data['ResultSet']['Result']['State'];
		$geocode['zip'] = $data['ResultSet']['Result']['Zip'];
		$geocode['country'] = $data['ResultSet']['Result']['Country'];
		

		return $geocode;
	}
}
?>
