<?
/*************************************************
*
*   Geocode PHP Class - Access Yahoo API.
*   Copyright 2006 Zach Smith
*   http://hoeken.ubersonic.org
*   License: GPL
*
*************************************************/

class YahooWeather extends REST
{
	public function __construct()
	{
		//heres our base.
		$base = 'http://xml.weather.yahoo.com/forecastrss';
	
		//set up our rest action
		parent::__construct($base);
	}

	public function search($location, $units = 'f', $parse = true)
	{
		$data = $this->request(array(
			'p' => $location,
			'u' => $units
		));

		//do we parse it?
		if ($parse)
			return $this->parseData($data);
		else
			return $data;
	}

	protected function parseData($data)
	{
		//inits!
		$rval = array();

		//load our xml.
		$xml = simplexml_load_string($data);
	
		//get our html..
		$rval['html'] = (string)$xml->channel->item->description;
		$rval['link'] = (string)$xml->channel->link;
	
		//yahoo namespaces... barf.
		foreach ($xml->channel->children('http://xml.weather.yahoo.com/ns/rss/1.0') AS $entry)
		{
			//location?
			if ($entry->getName() == 'location')
			{
				foreach ($entry->attributes() AS $att)
				{
					if ($att->getName() == 'city')
						$rval['city'] = (string)$att;
					else if ($att->getName() == 'region')
						$rval['state'] = (string)$att;
				}
			}
		}
		
		//now we want to get current conditions
		$day = 'today';
		foreach ($xml->channel->item->children('http://xml.weather.yahoo.com/ns/rss/1.0') AS $entry)
		{
			//parse out each of our days.
			if ($entry->getName() == 'condition')
				$rval['now'] = $this->parseDay($entry);
			else if ($entry->getName() == 'forecast' && $day == 'today')
			{
				$rval['today'] = $this->parseDay($entry);
				$day = 'tomorrow';
			}
			else if ($entry->getName() == 'forecast')
				$rval['tomorrow'] = $this->parseDay($entry);
		}

		return $rval;
	}

	protected function parseDay($day)
	{
		$rval = array();

		//go thru the attributes and get the day.
		foreach ($day->attributes() AS $att)
		{
			if ($att->getName() == 'code')
			{
				$rval['code'] = (string)$att;
				$rval['image'] = "http://us.i1.yimg.com/us.yimg.com/i/us/we/52/$rval[code].gif";
			}
			else if ($att->getName() == 'text')
				$rval['condition'] = (string)$att;
			else if ($att->getName() == 'day')
				$rval['day'] = (string)$att;
			else if ($att->getName() == 'temp')
				$rval['temp'] = (string)$att;
			else if ($att->getName() == 'high')
				$rval['high'] = (string)$att;
			else if ($att->getName() == 'low')
				$rval['low'] = (string)$att;
		}

		if ($day->getName() == 'condition')
			$rval['day'] = 'Now';

		return $rval;
	}
}
?>
