<?
abstract class DateBox extends BaseBox
{
	private $thisMonth;
	private $thisDay;
	private $thisYear;
	private $nextYear;
	public $month;
	public $maxCount = 5;

	abstract public function drawDate($ob, $day);
	abstract public function getDates();
	abstract public function drawNoDates();

	public function __construct($title, $month = null)
	{
		$this->month = $month;
		parent::__construct($title);
	}

	public function initDates()
	{
		global $me;

		//get some standard stuff
		$this->thisMonth = (int)date("m");
		$this->thisDay = (int)date("d");
		$this->thisYear = (int)date("Y");
		$this->nextYear = (int)date("Y") + 1;

		//get our dates
		$dates = $this->getDates();

		//sort them by time...
		ksort($dates);

		return $dates;
	}

	public function getTime($date)
	{
		$ar = explode("-", $date);
		$month = (int)$ar[1];
		$day = (int)$ar[2];

		if ($date != '0000-00-00')
		{
			//all months if null, or a specific one
			if ($this->month === null || $this->month == $month)
			{
				//if its before this month... or before this months day, its next year
				if ($month < $this->thisMonth || ($month == $this->thisMonth && $day < $this->thisDay))
					$time = strtotime("$this->nextYear-$month-$day");
				//otherwise its next year
				else
					$time = strtotime("$this->thisYear-$month-$day");

				return $time;
			}
		}

		return null;
	}

	public function drawContent()
	{
		$dates = $this->initDates();
		$count = 0;

		//draw them
		if (count($dates))
		{
			foreach ($dates AS $key => $day)
			{
				foreach ($day AS $item)
				{
					//is our count legit?  can we draw the date?
					if ($count < $this->maxCount && $this->canDrawDate($key, $ob))
					{
						$this->drawDate($item, $key);
						$count++;
					}
				}
			}
		}
			
		if (!$count)
			$this->drawNoDates();
	}

	public function canDrawDate($key, $ob)
	{
		return true;
	}
}
