<?php
/**
* Exception thrown when an invalid attribute value is attempted to be set in a Field.
* @ingroup FormErrors
* @author Scott Peshak
*/
class InvalidAttributeValueException extends Exception
{
	/**
	* Constructor.
	* Thin wrapper around Exception::__construct()
	* @param $value Invalid value that was passed. 
	* @param $expected The value (or type) that was expected.
	*/
	public function __construct($value, $expected)
	{
		parent::__construct("Invalid attribute value: '$value' (Expected: '$expected')");
	}
}
?>
