<?php
/**
* Exception thrown when an attempt is made to access the dataa on an unvalidated field. 
* @ingroup FormErrors
* @author Scott Peshak
*/
class NotValidatedException extends Exception
{
	private $field; ///< Reference to the Field that threw the exception

	/**
	 * Constructor.
	 * @param $field Reference to the Field object that caused the exception
	 */
	public function __construct(&$field)
	{
		$this->field = $field;
	}

	/**
	 * Get the field
	 * @return Reference to field that threw the exception
	 */
	public function getField()
	{
		return $this->field;
	}
}
?>
