<?php
/**
 * Abstract list
 * @ingroup ListFields
 * @author Scott Peshak
 */
abstract class AbstractListField extends AbstractField
{
	protected $options = array(); ///< Array of options to display in the field, should be an associative array of form value => title

	/**
	 * Constructor
	 * @param $name Name of input
	 * @param $parentForm Form object that the field belongs to.
	 * @param $attribs Array of extra attributes
	 */
	public function __construct($name, Form &$parentForm, array $attribs = array())
	{
		parent::__construct($name, $parentForm, $attribs);

		if(!array_key_exists('options', $attribs))
			throw new Exception('options key not set in attribs array');

		$this->options = $attribs['options'];
	}

	/**
	 * Magic setter
	 * @param $name Name of member to set.
	 * @param $value Value to set.
	 */
	public function __set($name, $value)
	{
		if($name == 'options')
		{
			if(!is_array($value))
				throw new Exception('options must be an array');

			$this->options = $value;
		}
		else
			parent::__set($name, $value);
	}
}

?>
