<?php
/**
* Checkbox field.
* A single checkbox
* @ingroup BasicFields
* @author Scott Peshak
*/
class CheckboxField extends AbstractField
{
	protected $label = '';

	public function __construct($name, Form &$parentForm, array $attribs = array())
	{
		//checkbox fields dont have titles, they have labels.
		if (!$attribs['title'])
			$attribs['title'] = '';
		
		//make our label.
		if ($attribs['label'])
		{
			$this->label = $attribs['label'];
			unset($attribs['label']);
		}	
		else
			$this->label = ucfirst(str_replace("_", " ", $name));
			
		//sweet home alabama
		parent::__construct($name, $parentForm, $attribs);
	}

	/**
	 * Draw the field
	 */
	function drawInput()
	{
		$attr = $this->extrasAsAttributes();
		echo "<input type=\"checkbox\" name=\"$this->name\" value=\"1\"",
			$this->value ? ' checked="checked" ' : '', "$attr/>";

		if ($this->label)
			echo " <label for=\"$this->id\">$this->label</label>";
	}


	/**
	 * Validate the field
	 */
	function validate()
	{
		$this->hasError = false;
		$this->value = isset($_POST[$this->name]) && $_POST[$this->name];
	}
}

?>
