<?php
/**
* Set of checkboxes 
* @ingroup ListFields
* @author Scott Peshak
*/
class CheckboxListField extends AbstractListField
{
	/**
	 * Draw the field
	 */
	public function drawInput()
	{
		foreach($this->options as $value => $title)
		{
			$id = uniqid($this->name);
			echo "<input type=\"checkbox\" name=\"{$this->name}[]\" value=\"$value\" id=\"$id\"", 
				array_search($value, $this->value) !== false ? 'checked="checked"/>' : '/>',
				"<label for=\"$id\">$title</label>";
		}
	}

	
	/**
	 * Set the field data
	 * @param $data either an \c array of values that should be selected, or a comma seperated list
	 */
	public function setData($data)
	{
		if(!is_array($data))
			$data = explode(',', $data);

		$this->value = $data;
	}

	/**
	 * Get a string suitable for use in SQL statement
	 * @return SQL string
	 */
	public function getSqlImpl()
	{
		return $this->name . '=\'' . implode(',', $this->value) . '\'';	
	}
}

?>
