<?php
/**
* Date control
* @ingroup CollectionFields
* @author Scott Peshak
* @date $Date: 2006-04-09 23:04:29 -0500 (Sun, 09 Apr 2006) $
*
* @todo make this an actual collection field
*/
class DateField extends AbstractField
{
	public $beginYear = '';
	public $endYear = '';

	/**
	 * Constructor
	 * @param $name Name of field
	 * @param $parentForm Form that owns the field.
	 * @param $attribs Array of extra attributes.
	 */
	public function __construct($name, Form &$parentForm, array $attribs = array())
	{
		parent::__construct($name, $parentForm, $attribs);
		$this->value = 'now';
	}

	/**
	 * Draw field
	 */
	public function drawInput()
	{
		$day = getdate(strtotime($this->value));

		# Day
		echo "<select name='{$this->name}_day'>";

		for($i = 1; $i <= 31; $i++)
			echo "\t<option value='$i'", $day['mday'] == $i ? ' selected="selected">' : '>',
				$i, "</option>\n";
		
		echo "</select> ";


		# Month
		$monNames = array(
			1 => 'Jan',
			2 => 'Feb',
			3 => 'Mar',
			4 => 'Apr',
			5 => 'May',
			6 => 'Jun',
			7 => 'Jul',
			8 => 'Aug',
			9 => 'Sep',
			10 => 'Oct',
			11 => 'Nov',
			12 => 'Dec'
		);

		echo "<select name='{$this->name}_mon'>";

		for($i = 1; $i <= 12; $i++)
		{
			echo "\t<option value='$i'", $day['mon'] == $i ? ' selected="selected">' : '>',
				$monNames[$i], "</option>\n";
		}

		echo "</select>\n";

		# Year
		$today = getdate();

		//generate our years...
		if (!$this->endYear)
			$this->endYear = max($today['year'] + 3, $day['year'] + 3);

		if (!$this->beginYear)
			$this->beginYear = $day['year'] - 2;

		echo "<select name='{$this->name}_year'>\n";
		
		for($i = $this->beginYear; $i <= $this->endYear; $i++)
		{
			echo "\t<option value='$i'", $day['year'] == $i ? ' selected="selected">' : '>',
				$i, "</option>\n";
		}

		echo "</select>\n";
	}


	/**
	 * Set the form's data from the $_REQUEST array
	 */
	public function setDataFromRequest()
	{
		$this->value = $_REQUEST["{$this->name}_year"] . '-' . $_REQUEST["{$this->name}_mon"] . '-' . $_REQUEST["{$this->name}_day"];
	}
}
?>
