<?php
/**
* Editor Field for FCKEditor text
* @ingroup BasicFields
* @author Zach Smith
*/
class EditorField extends AbstractField
{
	/**
	 * @b Protected.  The FCKeditor object which will do our bidding
	 * @protected
	 */
	protected $editor = '';
		
	/**
	 * Constructor
	 * @param $name Name of field
	 * @param $parentForm Form object that the field belongs to.
	 * @param $attribs Array of extra attributes.
	 */
	public function __construct($name, Form &$parentForm, array $attribs = array())
	{
		$this->editor = new FCKeditor($name);
		$this->editor->ToolbarSet = 'BaseJumper';
		
		if (Config::get('fck_basepath'))
			$this->editor->BasePath = Config::get('fck_basepath');
		else
			$this->editor->BasePath = 'lib/FCKeditor/';

		if(Config::get('fck_config'))
			$this->editor->Config['CustomConfigurationsPath'] = Config::get('fck_config');
		else
		{
			$dir = dirname($_SERVER['SCRIPT_URL']);
			if ($dir == '/')
				$dir = '';
				
			$this->editor->Config['CustomConfigurationsPath'] = $dir . '/lib/js/fck.js';
		}

		parent::__construct($name, $parentForm, $attribs);
	}
		
	public function __set($name, $value)
	{
		switch ($name)
		{
			case 'height':
				$this->editor->Height = $value;
				break;
			case 'width':
				$this->editor->Width = $value;
				break;
			case 'toolbar':
				$this->editor->ToolbarSet = $value;
				break;

			default:
				parent::__set($name, $value);
				break;
		}
	}

	/**
	 * Draw the field
	 */
	function drawInput()
	{
		$this->editor->Value = stripslashes($this->value);
		$this->editor->Create();
	}
}
?>
