<?
/**
* A field where you can select multiple options
*
* @ingroup ListFields
* @author Zach Smith
*/
class MultiSelectField extends SelectField
{
	/**
	 * Draw the field
	 */
	public function drawInput()
	{
		$attr = $this->extrasAsAttributes();
?>	
<span>
<div style="float: left; display: inline;">
<?
		echo "\t<select name=\"$this->name[]\" $attr>";
		
		foreach($this->options as $value => $title)
		{
			$selected = '';
			if (is_array($this->value) && in_array($value, $this->value))
				$selected = 'selected="selected"'; 
			echo "<option value=\"$value\" $selected>$title</option>";
		}
?>
	</select>
</div>
<div style="float: left; display: inline; margin-left: 10px; width: 300px;">
	<p>Tip: By holding the '<b>Ctrl</b>' key and clicking on items, you
	can select multiple items.</p>

	<p>You can also select large chunks of the list by
	holding '<b>Shift</b>' and clicking items.</p>
</div>
<br style="clear: both;"/>
</span>
<?
	}

	public function getData()
	{
		return implode(",", $this->value);
	}

	public function setData($value)
	{
		if (is_array($value))
			$this->value = $value;
		else
			$this->value = array($value);
	}
}
?>
