<?php
/**
* Field to edit a name.
* @ingroup CollectionFields
* @author Zach Smith
* @date 2006-07-18
*/
class NameField extends CollectionField
{
	/**
	 * Constructor
	 * @param $name Name of field
	 * @param $parentForm Form object that the field belongs to.
	 * @param $attribs Array of extra attributes.
	 */
	public function __construct($name, Form &$parentForm, array $attribs = array())
	{
		//first name
		$attribs['fields'] = array(
			array('TextField', "first_${name}", array_merge($attribs, array('size' => '20', 'maxlength' => '128'))),
			array('TextField', "last_${name}", array_merge($attribs, array('size' => '20', 'maxlength' => '128')))
		);

		//make it so.
		parent::__construct($name, $parentForm, $attribs);
	}

	/**
	 * Get SQL string of the data of this form
	 * @return SQL string
	 */
	public function getSqlImpl()
	{
		return "$this->name = '" . implode(" ", $this->getData()) . "'";
	}

}
?>
