/* Update the meter to reflect a given score */
function updatePasswordMeter(fieldName, score)
{
	// Get the bar sections
	var bar1 = document.getElementById(fieldName + "_meter1");
	var bar2 = document.getElementById(fieldName + "_meter2");
	var bar3 = document.getElementById(fieldName + "_meter3");
	var bar4 = document.getElementById(fieldName + "_meter4");

	// Set all to inactive to start with
	bar1.className = "pwdMeterInactive";
	bar2.className = "pwdMeterInactive";
	bar3.className = "pwdMeterInactive";
	bar4.className = "pwdMeterInactive";

	// Score ratings...
	if (score > 34)
		bar4.className = "pwdMeterActive";

	if (score > 24)
		bar3.className = "pwdMeterActive";

	if (score > 15)
		bar2.className = "pwdMeterActive";
	
	if (score > 5)
		bar1.className = "pwdMeterActive";
}

/* Generate a strength score based on various factors */
function testPasswordStrength(passwd)
{
	var score = 0;
		
	if (passwd.length < 5)
		score += 3;
	else if (passwd.length > 4 && passwd.length < 8)
		score += 6;
	else if (passwd.length > 7 && passwd.length < 16)
		score += 12;
	else if (passwd.length > 15)
		score += 18;

	// NUMBERS
	if (passwd.match(/\d+/))
		score += 5;
	
	if (passwd.match(/(.*[0-9].*[0-9].*[0-9])/))             // [verified] at least three numbers
		score += 5;
	
	
	// SPECIAL CHAR
	if (passwd.match(/.[!,@,#,$,%,^,&,*,?,_,~]/))            // [verified] at least one special character
		score += 5;
	
															 // [verified] at least two special characters
	if (passwd.match(/(.*[!,@,#,$,%,^,&,*,?,_,~].*[!,@,#,$,%,^,&,*,?,_,~])/))
		score += 5;

	
	// COMBOS
	if (passwd.match(/([a-z].*[A-Z])|([A-Z].*[a-z])/)) // [verified] both upper and lower case
		score += 2;

	if (passwd.match(/(\d.*\D)|(\D.*\d)/))// [FAILED] both letters and numbers, almost works because an additional character is required
		score += 2;

	// [verified] letters, numbers, and special characters
	if (passwd.match(/([a-zA-Z0-9].*[!,@,#,$,%,^,&,*,?,_,~])|([!,@,#,$,%,^,&,*,?,_,~].*[a-zA-Z0-9])/))
		score += 2;


	return score;
}

