<?php
/**
* @ingroup BJHelpers
* @brief JSON function abstraction

* this class is a static wrapper for json that allows us to use it without
* having to worry about whether JSON is compiled in or not. for more info on
* JSON, visit http://www.json.org
*/
class JSON
{
    /**
    * this encodes data into JSON format
    *
    * @param $var any PHP variable to encode.
    * @return the JSON encoded string.
    */
    public static function encode($var)
    {
        return json_encode($var);
    }

    /**
    * this decodes a JSON string to a PHP object
    *
    * @param $text the JSON string
    * @return a php variable from that data.
    */
    public static function decode($text)
    {
        return json_decode($text);
    }
}

//create our library do to json stuff if its not compiled in...
if (!function_exists('json_encode') && !function_exists('json_decode'))
    require_once("json-lib.inc.php");
?>
