<?
/**
* @ingroup ObjectManagers
* @brief A class to handle the drawing of a gallery of BaseImages.
* 
* BaseGallery is a class to manage a set of BaseImages or derivatives thereof.
* A quick and handly way to add gallery functionality to any site. Slideshows,
* javascript rollers, etc... soon to be added.
*/
abstract class BaseGallery extends MyManager
{
	/**
	* The constructor... 
	*
	* @see ObjectManager::__construct()
	*/
	function __construct($objectType, $count = 30, $table = null)
	{
		parent::__construct($objectType, $table, $count);
	}

	/**
	* init our slideshow by including our required js / css files
	*/
	public function initSlideshow()
	{
		$this->needsJs("lib/js/lightbox.js");
		$this->needsJs("lib/js/scriptaculous.js");
		$this->needsCss("lib/css/lightbox.css");
	}

	/**
	* draw our slideshow from a group of images
	*
	* @param $rs an array of BaseImage objects
	*/
	public function drawSlideshow($rs)
	{ 
		//show it if we got it.
		if (count($rs))
		{
			echo "<div class=\"slideshow\">";
			
			//draw our first one
			$image = $rs[0];
			echo " <a href=\"" . $image->url('web') . "\" rel=\"lightbox[album]\" title=\"" . htmlentities($image->caption) . "\">$text</a>";
			
			//draw our other ones
			foreach ($rs AS $image)
				if ($image->id != $this->photo_id)
					echo "<a href=\"" . $image->url('web') . "\" rel=\"lightbox[album]\"" . htmlentities($image->caption) . "\"></a>";
		
			echo "</div>";
		}
	}
}
?>
