<?
/**
* @ingroup BaseJumper
* @brief Access BaseJumper instance anywhere
* 
* site is the singleton we use so that you can access your BaseJumper object
* from anywhere within your code
*/
class Site
{
	/**
	* this is our instance of the site.
	*/
	private static $site;
	
	/**
	* your private constructor... singleton.
	*/
	private function __construct()
	{
	}

	/**
	* set the site
	* 
	* @param $site a BaseJumper derived object that you want.
	*/
	public static function setSite(BaseJumper $site)
	{
		self::$site = $site;
	}

	/**
	* get our instance of the site
	*
	* @return $site a basejumper derived object of our site.
	*/
	public static function getSite()
	{
		return self::$site;
	}
}
?>
