<?
/**
* @ingroup BJTemplate
* @brief XML based template.
*
* Easily create xml based outputs.  It will send the header, and print the
* appropriate header/footer for xml data.  It also wraps errors and status
* messages in xml.
*/
class XMLTemplate extends BaseTemplate
{
	/**
	 * This function draws the content area of the page.
	 */
	public function drawPage()
	{
		//tell the browser we're html.
		header("Content-type: text/xml; charset=UTF-8");

		//start our header off right.
		echo '<?xml version="1.0" encoding="ISO-8859-1"?>' . "\n";
		echo "<!-- generator=\"BaseJumper v2\" -->\n";
		
		//draw our errors...
		if ($this->object->hasError())
			$this->drawError();
		//nope, what about status?.
		else if ($this->object->hasStatus())
			$this->drawStatus();
		//finally we get to content!
		else	
			$this->drawContent();
	}
	
	public function drawError()
	{
		echo "<error>" . htmlentities($this->object->getError()) . "</error>";
	}

	public function drawStatus()
	{
		$status = $this->object->getStatus();
	
		foreach ($status AS $msg)
			echo "<status>" . htmlentities($msg) . "</status>\n";
	}
}
?>
