<?
class YMenu
{
	private $name;
	private $items = array();
	
	public function __construct($name = 'Default')
	{
		$this->name = $name;
		
		$GLOBALS['YMENU_COUNT']++;
	}

	public static function drawDependencies()
	{
?>
	<!-- YMenu Dependencies --> 
	<link rel="stylesheet" type="text/css" href="lib/yahoo/fonts/fonts.css"> 
	<link rel="stylesheet" type="text/css" href="lib/yahoo/menu/assets/menu.css">  
	<script type="text/javascript" src="lib/yahoo/yahoo/yahoo.js"></script> 
	<script type="text/javascript" src="lib/yahoo/dom/dom.js"></script> 
	<script type="text/javascript" src="lib/yahoo/event/event.js"></script> 
	<script type="text/javascript" src="lib/yahoo/container/container_core.js"></script> 

	<!-- Source File --> 
	<script type="text/javascript" src="lib/yahoo/menu/menu.js"></script> 
<?
	}

	public function addItems($titles, $values)
	{
		if (count($titles))
			foreach ($titles AS $key => $title)
				$this->addItem($title, $value[$key]);
	}

	public function addItem($title, $value)
	{
		$this->items[] = new YMenuItem($title, $value);
	}

	private function getJsVarName()
	{
		return "oYMenu" . $GLOBALS['YMENU_COUNT'];
	}
	
	private function getElementName()
	{
		return "eleYMenu" . $GLOBALS['YMENU_COUNT'];
	}

	public function render()
	{
		if (count($this->items))
		{
			$var = $this->getJsVarName();
			$ele = $this->getElementName();
?>
<script type="text/javascript">
	var <?=$var?> = new YAHOO.widget.Menu("<?=$ele?>");
<?
			foreach ($this->items AS $item)
				$item->draw($var);
?>  
    <?=$var?>.render(document.body);
    <?=$var?>.show();
</script>
<?
		}
		else
			throw new Exception("Cannot draw YMenu without any items.");
	}
}

class YMenuItem
{
	private $title;
	private $link;

	public function __construct($title, $link)
	{
		$this->title = $title;
		$this->link = $link;
	}
	
	public function draw($var)
	{
?>
	<?=$var?>.addItem(new YAHOO.widget.MenuItem("<?=$this->title?>", { url:"<?=$this->link?>}));
<?
	}
}
?>
